Bug 773242 - Moved copy
Summary: Moved copy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: abrt
Version: 6.2
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Denys Vlasenko
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-11 10:23 UTC by David Kutálek
Modified: 2012-06-20 07:04 UTC (History)
5 users (show)

Fixed In Version: abrt-2.0.8-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 07:04:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0841 normal SHIPPED_LIVE Low: abrt, libreport, btparser, and python-meh security and bug fix update 2012-06-19 19:29:03 UTC

Description David Kutálek 2012-01-11 10:23:21 UTC
Description of problem:

When using abrt-gui to report a crash, it pop up message that /var/spool/abrt/... is not writable and asks for an action. The text is eg:

Need writable directory, but '/var/spool/abrt/ccpp-2012-01-05-20:27:21-24154' is not writable. Move it to '/home/dkutalek/.abrt/spool' and operate on the moved copy?

This is confusing. Moved copy is nonsense. I thought it makes a copy and lost my dump by deleting dump in home. It performs a move actually! Although it says it doesn't have permissions!?

Version-Release number of selected component (if applicable):

abrt-2.0.4-14.el6.x86_64
abrt-gui-2.0.4-14.el6.x86_64

How reproducible:

Always

Steps to Reproduce:
1. 
2.
3.
  
Actual results:

moved copy :-)

Expected results:

Message is clear and consistent with actual action. 

Additional info:

Comment 1 Denys Vlasenko 2012-01-19 14:26:03 UTC
Fixed in git:

commit 26587ba542c71364bcb76caa200b614ecfdc66d3
Author: Denys Vlasenko <dvlasenk@redhat.com>
Date:   Thu Jan 19 15:24:04 2012 +0100

    Make "Move and operate on the moved copy" message less confusing


                 _("Need writable directory, but '%s' is not writable."
-                " Move it to '%s' and operate on the moved copy?"),
+                " Move it to '%s' and operate on the moved data?"),
                 g_dump_dir_name, HOME
                 );

Comment 7 errata-xmlrpc 2012-06-20 07:04:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0841.html


Note You need to log in before you can comment on or make changes to this bug.